%define section         free
%define api_version     1.0.1

Name:           bea-stax
Version:        1.2.0
Release:        2
Epoch:          0
Summary:        Streaming API for XML
License:        Apache License
Group:          Development/Java
URL:            http://dev2dev.bea.com/technologies/stax/index.jsp
Source0:        http://dist.codehaus.org/stax/distributions/stax-src-1.2.0.zip
Patch0:         %{name}-ecj-bootclasspath.patch
BuildRequires:  ant
BuildArch:      noarch
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  java-rpmbuild >= 0:1.6
Requires:       jpackage-utils >= 0:1.6
Requires:       %{name}-api = %{epoch}:%{version}-%{release}

%description
The Streaming API for XML (StAX) is a groundbreaking 
new Java API for parsing and writing XML easily and 
efficiently. 

%package api
Summary:        The StAX API
Group:          Development/Java
%description api
%{summary}

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
%{summary}

%prep
%setup -q -c
%patch0 -p0
perl -pi -e 's/source="1\.2" target="1\.2"/source="1.3" target="1.3"/g' build.xml
perl -pi -e 's/<javac/<javac nowarn="true"/g' build.xml

%build
export OPT_JAR_LIST=:
export CLASSPATH=`pwd`/build/stax-api-1.0.1.jar
%{ant} all javadoc

%install

# jar
install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 0644 build/stax-api-%{api_version}.jar %{buildroot}%{_javadir}/%{name}-api-%{version}.jar
install -p -m 0644 build/stax-%{version}-dev.jar %{buildroot}%{_javadir}/%{name}-ri-%{version}.jar
ln -s %{name}-api-%{version}.jar %{buildroot}%{_javadir}/%{name}-api.jar
ln -s %{name}-ri-%{version}.jar %{buildroot}%{_javadir}/%{name}-ri.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} # ghost symlink

%files
%{_javadir}/%{name}-ri-%{version}.jar
%{_javadir}/%{name}-ri.jar

%files api
%{_javadir}/%{name}-api-%{version}.jar
%{_javadir}/%{name}-api.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Wed Dec 10 2014 Denis Silakov <denis.silakov@rosalab.ru> 0:1.2.0-2
+ Revision: 07a37dc
- Drop gcj parts, spec cleanup


